******************************************************************************
*                                                                            *
*  MACRO Related Variables                                                   *
*                                                                            *
******************************************************************************

*=============================================================================*
*  Positive Variables                                                         *
*=============================================================================*
POSITIVE VARIABLES
  K(TP)         capital stock - trillion dollars
  D(DM,TP)      energy demands - before aeei adjustments - exajoules
  IV(TP)        investment - trillion dollars
  EC(TP)        energy cost - trillion dollars
  SP(DM,TP)     artificial variable for scaling shadow price of energy
  XCAP(TP, TCH) market penetration bounds - additional capacity
  RESID(TP, TCH) residual capacity for costing
*GG* V1.0f add linear approx for quadratic market penalty function
  XCAPP(TP,TCH)
  XCAPP1(TP,TCH)
  XCAPP2(TP,TCH);

*=============================================================================*
*  Objective Function Value                                                   *
*=============================================================================*
VARIABLES
  UTILITY      discounted log of consumption
;
