******************************************************************************
*                                                                            *
*  Reset then Apply any MACRO Related Bounds                                 *
*                                                                            *
******************************************************************************
*GG* V1.0b remove initialization of expanded capacity penalty
*XCAP.L(TP,TCH)  =  EXPF*CAPTB(TCH);
*============================================================================*
*  Set the Cut-off Point for Applying the Market Penetration Cost Penalty    *
*============================================================================*
CAPTB(TCH) = SUM(TP$(ORD(TP) EQ TCH_START(TCH)),EXPBND(TCH, TP));
*GG* V1.0f set the bounds for the step variables for quad approx.
*GG* V1.4b clear them first
XCAPP.UP(TP,TCH)  = +INF;
XCAPP1.UP(TP,TCH) = +INF;
XCAPP.UP(TP,TCH)  = CAPTB(TCH);
XCAPP1.UP(TP,TCH) = CAPTB(TCH);

*============================================================================*
* Residual Capacity Accounting Variable for Annualized Costing
*============================================================================*
*GG* V1.0a reset the bounds
RESID.LO(TP,TCH) = 0;
RESID.UP(TP,TCH) = +INF;
RESID.LO(TP,TCH)$(TCH_RESID(TCH,TP) NE 0) =  TCH_RESID(TCH,TP);
RESID.UP(TP,TCH)$(TCH_RESID(TCH,TP) NE 0) =  TCH_RESID(TCH,TP);
